/*
 * Copyright (c) 2011-2014 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.WSVersionStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.enums.WSVersion',
    'QDesk.util.EnumUtils'
  ],

  storeId : 'enums.WSVersionStore',

  fields : ['value', 'valueLabel'],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data : [
        {
          value : QDesk.enums.WSVersion.V1_0,
          valueLabel : QDesk.util.EnumUtils.getWSVersionName( QDesk.enums.WSVersion.V1_0 )
        },
        {
          value : QDesk.enums.WSVersion.V2_0,
          valueLabel : QDesk.util.EnumUtils.getWSVersionName( QDesk.enums.WSVersion.V2_0 )
        },
        {
          value : QDesk.enums.WSVersion.V3_0,
          valueLabel : QDesk.util.EnumUtils.getWSVersionName( QDesk.enums.WSVersion.V3_0 )
        },
        {
          value : QDesk.enums.WSVersion.V4_0,
          valueLabel : QDesk.util.EnumUtils.getWSVersionName( QDesk.enums.WSVersion.V4_0 )
        }
      ]
    } );

    me.callParent( [config] );
  }
} );