/*
 * Copyright (c) 2011-2014 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.quartz.stats.SchedulerStatisticsTypeStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.Msg',
    'QDesk.enums.scheduler.quartz.SchedulerStatisticsType',
    'QDesk.util.quartz.QuartzEnumUtils'
  ],

  fields : ['value', 'valueLabel', 'groupLabel'],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data : [
        {
          value : QDesk.enums.scheduler.quartz.SchedulerStatisticsType.JOB_EXEC_TIME,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getSchedulerStatisticsTypeName( QDesk.enums.scheduler.quartz.SchedulerStatisticsType.JOB_EXEC_TIME ),
          groupLabel : QDesk.Msg.get( 'QDesk.store.quartz.stats.SchedulerStatisticsTypeStore.jobStatisticsGroup' )
        },
        {
          value : QDesk.enums.scheduler.quartz.SchedulerStatisticsType.JOB_EXEC_COUNT,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getSchedulerStatisticsTypeName( QDesk.enums.scheduler.quartz.SchedulerStatisticsType.JOB_EXEC_COUNT ),
          groupLabel : QDesk.Msg.get( 'QDesk.store.quartz.stats.SchedulerStatisticsTypeStore.jobStatisticsGroup' )
        },
        {
          value : QDesk.enums.scheduler.quartz.SchedulerStatisticsType.TOP_MOST_FREQ_EXEC_JOBS,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getSchedulerStatisticsTypeName( QDesk.enums.scheduler.quartz.SchedulerStatisticsType.TOP_MOST_FREQ_EXEC_JOBS,
              QDesk.ApplicationConfig.get( 'quartz.statistics.scheduler.topMostFrequentlyExecutedJobs.maxFetchSize' ) ),
          groupLabel : QDesk.Msg.get( 'QDesk.store.quartz.stats.SchedulerStatisticsTypeStore.jobStatisticsGroup' )
        },
        {
          value : QDesk.enums.scheduler.quartz.SchedulerStatisticsType.TOP_FASTEST_EXEC_JOBS,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getSchedulerStatisticsTypeName( QDesk.enums.scheduler.quartz.SchedulerStatisticsType.TOP_FASTEST_EXEC_JOBS,
              QDesk.ApplicationConfig.get( 'quartz.statistics.scheduler.topFastestExecutedJobs.maxFetchSize' ) ),
          groupLabel : QDesk.Msg.get( 'QDesk.store.quartz.stats.SchedulerStatisticsTypeStore.jobStatisticsGroup' )
        },
        {
          value : QDesk.enums.scheduler.quartz.SchedulerStatisticsType.TOP_SLOWEST_EXEC_JOBS,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getSchedulerStatisticsTypeName( QDesk.enums.scheduler.quartz.SchedulerStatisticsType.TOP_SLOWEST_EXEC_JOBS,
              QDesk.ApplicationConfig.get( 'quartz.statistics.scheduler.topSlowestExecutedJobs.maxFetchSize' ) ),
          groupLabel : QDesk.Msg.get( 'QDesk.store.quartz.stats.SchedulerStatisticsTypeStore.jobStatisticsGroup' )
        },
        {
          value : QDesk.enums.scheduler.quartz.SchedulerStatisticsType.TOP_MOST_FREQ_EXEC_TRIGGERS,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getSchedulerStatisticsTypeName( QDesk.enums.scheduler.quartz.SchedulerStatisticsType.TOP_MOST_FREQ_EXEC_TRIGGERS,
              QDesk.ApplicationConfig.get( 'quartz.statistics.scheduler.topMostFrequentlyExecutedTriggers.maxFetchSize' ) ),
          groupLabel : QDesk.Msg.get( 'QDesk.store.quartz.stats.SchedulerStatisticsTypeStore.triggerStatisticsGroup' )
        },
        {
          value : QDesk.enums.scheduler.quartz.SchedulerStatisticsType.TOP_FASTEST_EXEC_TRIGGERS,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getSchedulerStatisticsTypeName( QDesk.enums.scheduler.quartz.SchedulerStatisticsType.TOP_FASTEST_EXEC_TRIGGERS,
              QDesk.ApplicationConfig.get( 'quartz.statistics.scheduler.topFastestExecutedTriggers.maxFetchSize' ) ),
          groupLabel : QDesk.Msg.get( 'QDesk.store.quartz.stats.SchedulerStatisticsTypeStore.triggerStatisticsGroup' )
        },
        {
          value : QDesk.enums.scheduler.quartz.SchedulerStatisticsType.TOP_SLOWEST_EXEC_TRIGGERS,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getSchedulerStatisticsTypeName( QDesk.enums.scheduler.quartz.SchedulerStatisticsType.TOP_SLOWEST_EXEC_TRIGGERS,
              QDesk.ApplicationConfig.get( 'quartz.statistics.scheduler.topSlowestExecutedTriggers.maxFetchSize' ) ),
          groupLabel : QDesk.Msg.get( 'QDesk.store.quartz.stats.SchedulerStatisticsTypeStore.triggerStatisticsGroup' )
        }
      ]
    } );

    me.callParent( [config] );
  }
} );
