/*
 * Copyright (c) 2011-2014 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.config.confirm.ConfirmationsPanel', {
  extend : 'QDesk.view.base.BaseConfigFormPanel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.ConfirmationsPanel',

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      items : [
        /* Connections tree confirmations */
        {
          xtype : 'fieldset',
          title : QDesk.Msg.get( 'QDesk.view.main.config.confirm.ConfirmationsPanel.fieldsetLabelConnections' ),
          items : [
            {
              xtype : 'checkboxfield',
              name : 'confirm.connectionDelete',
              boxLabel : QDesk.Msg.get( 'QDesk.view.main.config.confirm.ConfirmationsPanel.boxLabelConfirmConnectionDelete' )
            },
            {
              xtype : 'checkboxfield',
              name : 'confirm.folderDelete',
              boxLabel : QDesk.Msg.get( 'QDesk.view.main.config.confirm.ConfirmationsPanel.boxLabelConfirmConnectionFolderDelete' )
            }
          ],
          qdesk : {
            licensedFor : [
              QDesk.enums.ProductEdition.LITE,
              QDesk.enums.ProductEdition.STANDARD,
              QDesk.enums.ProductEdition.ENTERPRISE
            ]
          }
        },

        /* Message Channel Profile confirmations */
        {
          xtype : 'fieldset',
          title : QDesk.Msg.get( 'QDesk.view.main.config.confirm.ConfirmationsPanel.fieldsetLabelMessageChannelProfiles' ),
          items : [
            {
              xtype : 'checkboxfield',
              name : 'confirm.msgChannelProfileDelete',
              boxLabel : QDesk.Msg.get( 'QDesk.view.main.config.confirm.ConfirmationsPanel.boxLabelConfirmMsgChannelProfileDelete' )
            },
            {
              xtype : 'checkboxfield',
              name : 'confirm.msgChannelProfileFolderDelete',
              boxLabel : QDesk.Msg.get( 'QDesk.view.main.config.confirm.ConfirmationsPanel.boxLabelConfirmMsgChannelProfileFolderDelete' )
            }
          ],
          qdesk : {
            licensedFor : [
              QDesk.enums.ProductEdition.ENTERPRISE
            ]
          }
        },

        /* Scheduler confirmations */
        {
          xtype : 'fieldset',
          title : QDesk.Msg.get( 'QDesk.view.main.config.confirm.ConfirmationsPanel.fieldsetLabelScheduler' ),
          items : [
            {
              xtype : 'checkboxfield',
              name : 'confirm.schedulerStart',
              boxLabel : QDesk.Msg.get( 'QDesk.view.main.config.confirm.ConfirmationsPanel.boxLabelConfirmSchedulerStart' )
            },
            {
              xtype : 'checkboxfield',
              name : 'confirm.schedulerPause',
              boxLabel : QDesk.Msg.get( 'QDesk.view.main.config.confirm.ConfirmationsPanel.boxLabelConfirmSchedulerPause' )
            },
            {
              xtype : 'checkboxfield',
              name : 'confirm.schedulerStop',
              boxLabel : QDesk.Msg.get( 'QDesk.view.main.config.confirm.ConfirmationsPanel.boxLabelConfirmSchedulerStop' )
            }
          ],
          qdesk : {
            licensedFor : [
              QDesk.enums.ProductEdition.LITE,
              QDesk.enums.ProductEdition.STANDARD,
              QDesk.enums.ProductEdition.ENTERPRISE
            ]
          }
        },

        /* Save grid configuration */
        {
          xtype : 'checkboxfield',
          name : 'confirm.saveGridConfig',
          boxLabel : QDesk.Msg.get( 'QDesk.view.main.config.confirm.ConfirmationsPanel.boxLabelConfirmSaveGridConfig' )
        }
      ]
    } );

    me.callParent( [config] );
  }
} );
