/*
 * Copyright (c) 2011-2014 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.config.confirm.QuartzConfirmationsPanel', {
  extend : 'QDesk.view.base.BaseConfigFormPanel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.QuartzConfirmationsPanel',

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      items : [
        /* Jobs confirmations */
        {
          xtype : 'fieldset',
          title : QDesk.Msg.get( 'QDesk.view.main.config.confirm.QuartzConfirmationsPanel.fieldsetLabelJobs' ),
          items : [
            {
              xtype : 'checkboxfield',
              name : 'quartz.confirm.jobDelete',
              boxLabel : QDesk.Msg.get( 'QDesk.view.main.config.confirm.QuartzConfirmationsPanel.boxLabelConfirmJobDelete' )
            },
            {
              xtype : 'checkboxfield',
              name : 'quartz.confirm.jobInterrupt',
              boxLabel : QDesk.Msg.get( 'QDesk.view.main.config.confirm.QuartzConfirmationsPanel.boxLabelConfirmJobInterrupt' )
            },
            {
              xtype : 'checkboxfield',
              name : 'quartz.confirm.jobGroupResume',
              boxLabel : QDesk.Msg.get( 'QDesk.view.main.config.confirm.QuartzConfirmationsPanel.boxLabelConfirmJobGroupResume' )
            },
            {
              xtype : 'checkboxfield',
              name : 'quartz.confirm.jobGroupPause',
              boxLabel : QDesk.Msg.get( 'QDesk.view.main.config.confirm.QuartzConfirmationsPanel.boxLabelConfirmJobGroupPause' )
            }
          ],
          qdesk : {
            licensedFor : [
              QDesk.enums.ProductEdition.LITE,
              QDesk.enums.ProductEdition.STANDARD,
              QDesk.enums.ProductEdition.ENTERPRISE
            ]
          }
        },


        /* Triggers confirmations */
        {
          xtype : 'fieldset',
          title : QDesk.Msg.get( 'QDesk.view.main.config.confirm.QuartzConfirmationsPanel.fieldsetLabelTriggers' ),
          items : [
            {
              xtype : 'checkboxfield',
              name : 'quartz.confirm.triggerDelete',
              boxLabel : QDesk.Msg.get( 'QDesk.view.main.config.confirm.QuartzConfirmationsPanel.boxLabelConfirmTriggerDelete' )
            },
            {
              xtype : 'checkboxfield',
              name : 'quartz.confirm.triggerResume',
              boxLabel : QDesk.Msg.get( 'QDesk.view.main.config.confirm.QuartzConfirmationsPanel.boxLabelConfirmTriggerResume' )
            },
            {
              xtype : 'checkboxfield',
              name : 'quartz.confirm.triggerPause',
              boxLabel : QDesk.Msg.get( 'QDesk.view.main.config.confirm.QuartzConfirmationsPanel.boxLabelConfirmTriggerPause' )
            },
            {
              xtype : 'checkboxfield',
              name : 'quartz.confirm.triggerGroupResume',
              boxLabel : QDesk.Msg.get( 'QDesk.view.main.config.confirm.QuartzConfirmationsPanel.boxLabelConfirmTriggerGroupResume' )
            },
            {
              xtype : 'checkboxfield',
              name : 'quartz.confirm.triggerGroupPause',
              boxLabel : QDesk.Msg.get( 'QDesk.view.main.config.confirm.QuartzConfirmationsPanel.boxLabelConfirmTriggerGroupPause' )
            }
          ],
          qdesk : {
            licensedFor : [
              QDesk.enums.ProductEdition.LITE,
              QDesk.enums.ProductEdition.STANDARD,
              QDesk.enums.ProductEdition.ENTERPRISE
            ]
          }
        },


        /* Exec notification rules confirmations */
        {
          xtype : 'fieldset',
          title : QDesk.Msg.get( 'QDesk.view.main.config.confirm.QuartzConfirmationsPanel.fieldsetLabelExecNotificationRules' ),
          items : [
            {
              xtype : 'checkboxfield',
              name : 'quartz.confirm.execNotificationRuleEnable',
              boxLabel : QDesk.Msg.get( 'QDesk.view.main.config.confirm.QuartzConfirmationsPanel.boxLabelExecNotificationRuleEnable' )
            },
            {
              xtype : 'checkboxfield',
              name : 'quartz.confirm.execNotificationRuleDisable',
              boxLabel : QDesk.Msg.get( 'QDesk.view.main.config.confirm.QuartzConfirmationsPanel.boxLabelExecNotificationRuleDisable' )
            },
            {
              xtype : 'checkboxfield',
              name : 'quartz.confirm.execNotificationRuleDelete',
              boxLabel : QDesk.Msg.get( 'QDesk.view.main.config.confirm.QuartzConfirmationsPanel.boxLabelExecNotificationRuleDelete' )
            }
          ],
          qdesk : {
            licensedFor : [
              QDesk.enums.ProductEdition.ENTERPRISE
            ]
          }
        }
      ]
    } );

    me.callParent( [config] );
  }
} );
