/*
 * Copyright (c) 2011-2014 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.config.notif.NotificationsPanel', {
  extend : 'QDesk.view.base.BaseConfigFormPanel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.NotificationsPanel',

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      items : [
        {
          xtype : 'fieldset',
          fieldDefaults : {
            labelWidth : 100,
            width : 200
          },
          title : QDesk.Msg.get( 'QDesk.view.main.config.info.InfoPanel.fieldsetLabelInfoMessages' ),
          items : [
            {
              xtype : 'checkboxfield',
              itemId : 'infoBubblesEnabledCheckbox',
              name : 'infoBubblesEnabled',
              boxLabel : QDesk.Msg.get( 'QDesk.view.main.config.confirm.ConfirmationsPanel.boxLabelInfoBubblesEnabled' )
            },

            {
              xtype : 'fieldcontainer',
              itemId : 'infoBubblesTimeoutContainer',
              layout : {
                type : 'hbox',
                align : 'left'
              },
              items : [
                {
                  xtype : 'numberfield',
                  name : 'infoBubblesTimeout',
                  fieldLabel : QDesk.Msg.get( 'QDesk.view.main.config.confirm.ConfirmationsPanel.fieldLabelInfoBubblesTimeout' ),
                  minValue : 1,
                  maxValue : 20,
                  allowBlank : false
                },
                {
                  xtype : 'panel',
                  border : false,
                  height : 22,
                  bodyPadding : '3 0 0 5',
                  html : QDesk.Msg.get( 'QDesk.seconds' )
                }
              ]
            }
          ],
          qdesk : {
            licensedFor : [
              QDesk.enums.ProductEdition.LITE,
              QDesk.enums.ProductEdition.STANDARD,
              QDesk.enums.ProductEdition.ENTERPRISE
            ]
          }
        }
      ]
    } );

    me.callParent( [config] );
  },


  initComponent : function ()
  {
    var me = this;
    me.callParent();

    /*
     * Set initial state of the infoBubblesTimeoutContainer and change its state
     * upon changing the infoBubblesEnabledCheckbox value.
     */
    var infoBubblesEnabledCheckbox = me.down( '#infoBubblesEnabledCheckbox' );
    var infoBubblesTimeoutContainer = me.down( '#infoBubblesTimeoutContainer' );

    infoBubblesTimeoutContainer.setDisabled( !infoBubblesEnabledCheckbox.getValue() );

    infoBubblesEnabledCheckbox.on( 'change', function ( checkbox, newValue, oldValue )
    {
      infoBubblesTimeoutContainer.setDisabled( !newValue )
    } );
  }
} );
