/*
 * Copyright (c) 2011-2014 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.config.system.SystemPanel', {
  extend : 'QDesk.view.base.BaseConfigFormPanel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.SystemPanel',

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      items : [
        {
          xtype : 'fieldset',
          fieldDefaults : {
            labelWidth : 80,
            width : 200
          },
          title : QDesk.Msg.get( 'QDesk.view.main.config.system.SystemPanel.fieldsetLabelJavaScript' ),
          items : [
            {
              xtype : 'fieldcontainer',
              layout : {
                type : 'hbox',
                align : 'left'
              },
              items : [
                {
                  xtype : 'numberfield',
                  name : 'ajaxTimeout',
                  fieldLabel : QDesk.Msg.get( 'QDesk.view.main.config.system.SystemPanel.fieldLabelJsAjaxTimeout' ),
                  minValue : 10,
                  allowBlank : false
                },
                {
                  xtype : 'panel',
                  border : false,
                  height : 22,
                  bodyPadding : '3 0 0 5',
                  html : QDesk.Msg.get( 'QDesk.seconds' )
                }
              ],
              qdesk : {
                licensedFor : [
                  QDesk.enums.ProductEdition.LITE,
                  QDesk.enums.ProductEdition.STANDARD,
                  QDesk.enums.ProductEdition.ENTERPRISE
                ]
              }
            },

            {
              xtype : 'combo',
              name : 'jsLoggingLevel',
              fieldLabel : QDesk.Msg.get( 'QDesk.view.main.config.system.SystemPanel.fieldLabelJsLoggingLevel' ),
              displayField : 'valueLabel',
              valueField : 'value',
              editable : false,
              store : 'enums.JsLoggingLevelStore',
              allowBlank : false,
              qdesk : {
                licensedFor : [
                  QDesk.enums.ProductEdition.LITE,
                  QDesk.enums.ProductEdition.STANDARD,
                  QDesk.enums.ProductEdition.ENTERPRISE
                ]
              }
            }
          ]
        }
      ]
    } );

    me.callParent( [config] );
  }
} );
