/*
 * Copyright (c) 2011-2014 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.message.channel.snmp.SnmpV2cTrapBasicPanel', {
  extend : 'Ext.panel.Panel',

  requires : [
    'QDesk.Msg',
    'QDesk.Properties',
    'QDesk.controller.command.message.channel.snmp.GenerateMib',
    'QDesk.enums.message.MessageChannel'
  ],

  alias : 'widget.SnmpV2cTrapBasicPanel',

  border : false,

  layout : 'anchor',

  defaults : {
    anchor : '100%',
    labelWidth : 90
  },

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      title : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV2cTrapBasicPanel.tabLabelBasic' ),

      items : [
        {
          xtype : 'textfield',
          itemId : 'host',
          name : 'host',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV2cTrapBasicPanel.fieldLabelHost' ),
          emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV2cTrapBasicPanel.fieldEmptyTxtHost' ),
          allowBlank : false,
          qdesk : {
            required : true
          }
        },

        {
          xtype : 'numberfield',
          itemId : 'port',
          name : 'port',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV2cTrapBasicPanel.fieldLabelPort' ),
          emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV2cTrapBasicPanel.fieldEmptyTxtPort' ),
          value : 162, /* default SNMP UDP port */
          minValue : 1,
          maxValue : 65535,
          anchor : '60%',
          allowBlank : false,
          qdesk : {
            required : true
          }
        },

        {
          xtype : 'textfield',
          itemId : 'community',
          name : 'community',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV2cTrapBasicPanel.fieldLabelCommunity' ),
          emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV2cTrapBasicPanel.fieldEmptyTxtCommunity' ),
          value : 'public', /* default community value */
          allowBlank : false,
          qdesk : {
            required : true
          }
        },

        {
          xtype : 'textfield',
          itemId : 'trapOid',
          name : 'trapOid',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV2cTrapBasicPanel.fieldLabelTrapOid' ),
          value : QDesk.Properties.get( 'oid.messageTrapV2' ),
          allowBlank : false,
          readOnly : true,
          cls : 'readOnly',
          qdesk : {
            required : true
          }
        },

        {
          xtype : 'textfield',
          itemId : 'systemDescription',
          name : 'systemDescription',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV2cTrapBasicPanel.fieldLabelSystemDescription' ),
          emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV2cTrapBasicPanel.fieldEmptyTxtSystemDescription' ),
          maxLength : 255,
          allowBlank : true,
          qdesk : {
            required : false
          }
        },

        {
          xtype : 'fieldset',
          title : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV2cTrapBasicPanel.fieldsetLabelExtraVariables' ),
          padding : '5 0 0 5',
          defaults : {
            labelWidth : 85
          },
          items : [
            {
              xtype : 'numberfield',
              itemId : 'variableMessageTrapCustomType',
              name : 'variableMessageTrapCustomType',
              fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV2cTrapBasicPanel.fieldLabelVariableMessageTrapCustomType' ),
              emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV2cTrapBasicPanel.fieldEmptyTxtVariableMessageTrapCustomType' ),
              value : 1,
              minValue : 1,
              maxValue : 65535,
              allowBlank : false,
              qdesk : {
                required : true
              }
            }
          ]
        },

        {
          xtype : 'displayfield',
          renderer : function ( value, field )
          {
            var tooltip = Ext.htmlEncode( QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV2TrapBasicPanel.tooltipLinkDownloadMibs' ) );
            return '<a href="files/snmp-mib.zip" class="newWindow" target="_blank" data-qtip="' + tooltip +
                '">' +
                QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV2TrapBasicPanel.textLinkDownloadMibs' ) +
                '</a>';
          }
        }
      ]
    } );

    me.callParent( [config] );
  },


  initComponent : function ()
  {
    var me = this;

    me.callParent();

//    me.down( '#generateMibButton' ).on( 'click', function ()
//    {
//      var messageChannelProfile = me.up( 'SnmpV2cTrapProfilePanel' ).createMessageChannelProfile();
//
//      Ext.create( 'QDesk.controller.command.message.channel.snmp.GenerateMib', {
//        maskEl : me.up( 'window' ).getEl(),
//        channel : QDesk.enums.message.MessageChannel.SNMPV2C_TRAP,
//        channelConfig : messageChannelProfile.get( 'channelConfig' )
//      } ).execute();
//    } );
  }
} );
