/*
 * Copyright (c) 2011-2014 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.navigation.NavigationPanel', {
  extend : 'Ext.panel.Panel',

  requires : [
    'QDesk.Msg',
    'QDesk.view.navigation.help.HelpTreePanel',
    'QDesk.view.navigation.connections.ConnectionsTreePanel',
    'QDesk.view.navigation.settings.SettingsTreePanel'
  ],

  alias : 'widget.NavigationPanel',

  cls : 'navigationPanel',

  layout : {
    type : 'accordion'
  },

  items : [
    {
      xtype : 'ConnectionsTreePanel',
      itemId : 'connectionsTreePanel',
      //title : QDesk.Msg.get( 'QDesk.view.navigation.NavigationPanel.titleConnectionsPanel' ),
      collapsed : false
    },
    {
      xtype : 'SettingsTreePanel',
      itemId : 'settingsTreePanel',
      //title : QDesk.Msg.get( 'QDesk.view.navigation.NavigationPanel.titleSettingsPanel' ),
      collapsed : true
    } ,
    {
      xtype : 'HelpTreePanel',
      itemId : 'helpTreePanel',
      //title : QDesk.Msg.get( 'QDesk.view.navigation.NavigationPanel.titleHelpPanel' ),
      collapsed : true
    }
  ],

  initComponent : function ()
  {
    var me = this;
    me.callParent();

    me.title = QDesk.Msg.get( 'QDesk.view.navigation.NavigationPanel.titleNavigationPanel' );

    me.down( '#connectionsTreePanel' ).title =
        QDesk.Msg.get( 'QDesk.view.navigation.NavigationPanel.titleConnectionsPanel' );

    me.down( '#settingsTreePanel' ).title =
        QDesk.Msg.get( 'QDesk.view.navigation.NavigationPanel.titleSettingsPanel' );

    me.down( '#helpTreePanel' ).title =
        QDesk.Msg.get( 'QDesk.view.navigation.NavigationPanel.titleHelpPanel' );
  }
} );
